$.urlParam = function(name, url) {
	if (!url) {
		url = window.location.href;
	}
	var results = new RegExp('[\\?&]' + name + '=([^&#]*)').exec(url);
	if (!results) {
		return undefined;
	}
	return results[1] || undefined;
}

function getServerUrl() {
	var server = "http://localhost:8080/application";
	return server;
}

function getImageUrl(apikey,roomid) {
	var image = getServerUrl() + '/api/rooms/' + roomid + '/image?apikey='+ apikey;
	return image;
}

// error handler for 404 not found usage:
// <img src="image1.png" onerror="imgError(this);"/>
function imgError(image) {
    if (typeof jQuery !== 'undefined') {
               $(image).attr("src",  get_domain(window.location.href)+"img/keinBild.png");
     }
    return true;
}

function get_domain(url) {
	var url = window.location.pathname;
	var filename = url.substring(url.lastIndexOf('/')+1);
	return url.replace(filename, ""); 
}

function getBookingsUrl(apikey,roomid,status){
	return getServerUrl()
	+ '/api/rooms/'
	+ roomid
	+ '/bookings?apikey='
	+ apikey
	+ '&datePattern=yyyy-MM-dd&status='+status;
}

function getCaptchaUrl() {
	var image = getServerUrl() + '/api/captcha?apikey='+ apikey;
	return image;
}


// <!-- Rauminformation laden und an callback funktion übergeben -->
function getRoom(apikey,roomid, lang, callback) {
	var jqxhr = $.getJSON(getServerUrl() + "/api/rooms/" + roomid, {
		'apikey' : apikey,
		'lang' : lang
	}, callback)
}


// show all public rooms - we do not need the lang parameter here (optional)
function getFreeRooms(apikey,start,end, callback) {
	var roomsUrl = getServerUrl() + "/api/rooms"; 
		$.ajax({
			  dataType: "json",
			  url: roomsUrl,
			  crossDomain:true,
			  data: {'apikey' : apikey, 'start' : start, 'end' : end},
			  success: callback
			});		

}


function setupDatepicker(fromPicker,toPicker,language) {
	
    $(fromPicker).datetimepicker({
        locale: language,format: 'L'
    }).data("DateTimePicker").minDate(new Date());
    
    $(toPicker).datetimepicker({
        locale: language,format: 'L'
    }).data("DateTimePicker").minDate(moment(new Date()).add(1,'days'));
    
    $(fromPicker).on("dp.change", function (e) {
        $(toPicker).data("DateTimePicker").minDate(moment(e.date).add(1,'days'));
    });
    $(toPicker).on("dp.change", function (e) {
        $(fromPicker).data("DateTimePicker").maxDate(moment(e.date).subtract(1,'days'));
    });
}

function resetDatepicker(fromPicker,toPicker){
    // datepicker reset
    $(fromPicker).data("DateTimePicker").maxDate(false);
    $(fromPicker).data("DateTimePicker").minDate(new Date());
    $(toPicker).data("DateTimePicker").minDate(moment(new Date()).add(1,'days'));

}
